Subject: Has anyone a ATMEL TPM Chip on PPC64 (CONFIG_TCG_ATMEL)?

From: Peter Hüwe <[email-masked]>
Date: Sun, 27 Oct 2013 23:06:09 +0100

Hi,

I was wondering if anyone here on this list still has a machine with an old 
ATMEL TPM (trusted platform module) lying around?

From the kconfig entry it becomes evident that it was only supported on ppc64 
machines.

config TCG_ATMEL
	tristate "Atmel TPM Interface"
	depends on PPC64 || HAS_IOPORT
	---help---
	  If you have a TPM security chip from Atmel say Yes and it 
	  will be accessible from within Linux.  To compile this driver 
	  as a module, choose M here; the module will be called tpm_atmel.

The hardware/driver is pretty old and the driver might have contained a bug 
that made it unusable for the last 6 years ;)

So if anyone still has this kind of hardware around, please reply.

Thanks,
Peter